Bug 1026728 - Can't delete source model which imports VDB
Can't delete source model which imports VDB
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ER4
: 6.0
Assigned To: Van Halbert
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 05:14 EST by Filip Elias
Modified: 2014-07-09 01:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In JBoss Developer Studio, users cannot delete source models that import a virtual database. The delete option is inactive for the model. This is because the source model is read only. This constraint may have to be relaxed so that users can delete read only models.
Story Points: ---
Clone Of:
Environment:
JBDS 7.0.0 GA Tooling 4.1.3.Beta5 (http://download.jboss.org/jbosstools/updates/integration/kepler/integration-stack/aggregate/4.1.3.Beta5/)
Last Closed: 2014-02-06 10:37:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-1917 Critical Closed Can't delete source model which imports VDB 2014-05-07 17:04:37 EDT

  None (edit)
Description Filip Elias 2013-11-05 05:14:14 EST
Source model that imports VDB can't be deleted.

Environment JBDS 7.0.0 GA
            Tooling 4.1.3.Beta5 (http://download.jboss.org/jbosstools/updates/integration/kepler/integration-stack/aggregate/4.1.3.Beta5/)

Steps to reproduce:

1. Select File -> Import ->  JDBC Database >> Source Model
2. Create connection profile for VDB (Select Teiid as Connection profile type)
3. Make sure that Import as VDB source model is checked
4. Create the source Model
5. Right-click on the source model and try to delete it, but Delete is inactive
Comment 1 JBoss JIRA Server 2013-11-07 10:45:45 EST
Barry LaFond <blafond@jboss.org> made a comment on jira TEIIDDES-1917

AbstractRefactorAction disables if a resource is READ ONLY.

In this case the source model returns TRUE for ModelUtil.isIResourceReadOnly() because it's a "locked source object".

We probably need to relax this so users can delete Read Only models.

Only catch will be in Refactor Wizard's dependency analysis/refactor logic?
Comment 2 JBoss JIRA Server 2013-11-20 16:40:41 EST
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-1917 to Resolved
Comment 3 JBoss JIRA Server 2013-11-20 16:40:41 EST
Barry LaFond <blafond@jboss.org> made a comment on jira TEIIDDES-1917

Tested with latest build (11/20/2013) and was able to delete vdb source model.
Comment 4 belong 2013-12-09 19:51:14 EST
Assuming this will be set to VERIFIED before GA - setting requires_doc_text- accordingly.
Comment 5 Filip Elias 2014-01-07 07:32:33 EST
Verified on DV6 CR1, JBDS 7.1.0, JBDS IS 7.0.0.CR1
Comment 6 JBoss JIRA Server 2014-05-07 17:04:39 EDT
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-1917 to Closed

Note You need to log in before you can comment on or make changes to this bug.